# Generalising concepts specific to Aotearoa

There are a few variables and input parameters in the cobin model which have variable names or sample values specific to Aotearoa. This page lists and explains these, as well as describes how they can be used when modelling contagion in other countries/contexts.

## TAs and SA2s
Territorial Authorities (TAs) are defined under New Zealand's Local Government Act 2002 as a city or district council. Within New Zealand, there are currently 67 defined TAs mainly corresponding to different city-regions (such as Auckland and Wellington) with an additional TA (TA 999) defined for regions outside of New Zealand's Territorial Authority. Statistical Area 2s (SA2s) range in size from small suburbs to larger areas of land but (should) all have a similarly sized population. They are much smaller than TAs and aim to reflect communities that interact together socially and economically.

The network objects that the `networkcontagion` library uses the SA2s and TAs of individual and group nodes to determine the connections in the bipartite network object (and therefore the possible transmission pathways for the contagion). These could be repurposed if the model is desired to be generalised for the use in other countries. As long as the nodes in the inputted networkx object have ```TA``` and ```SA2``` attributes, these could be to represent any pair of geographic subdivisions (e.g. cities, counties, municipalities, etc.) as desired. The ```TA``` attribute is also used for setting certain parameters by region (for example if there is more transmission or susceptibility in certain cities).

## Ethnicities
Every individual node in the network is also given an ```ethnicity``` attribute corresponding to some of the ethnicity groupings included in the New Zealand IDI ("Māori", "MāoriPacific", "Pacific" and "Other"). Although these are New Zealand 'specific' ethnicities, these should be changed to the ethnicities of interest in the country to be modelled. Both the node attributes in the network, and the values in any included parameter csvs should be changed accordingly.